GDSA< H > Struct Template Reference

DSA signature scheme. More...

`#include <gfpcrypt.h>`

Inheritance diagram for GDSA< H >:

## Additional Inherited Members

Public Types inherited from DL_SS< DL_SignatureKeys_GFP, DL_Algorithm_GDSA< Integer >, DL_SignatureMessageEncodingMethod_DSA, H >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_SignatureKeys_GFP
typedef DL_GroupParameters_GFP | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey
Static Public Member Functions inherited from DL_SS< DL_SignatureKeys_GFP, DL_Algorithm_GDSA< Integer >, DL_SignatureMessageEncodingMethod_DSA, H >
static std::string | StaticAlgorithmName ()

## Detailed Description

template<class H>
struct GDSA< H >

DSA signature scheme.

Template Parameters

  H | HashTransformation derived class

See also
  DSA-1363

Since
  Crypto++ 1.0 for DSA, Crypto++ 5.6.2 for DSA2

Definition at line 708 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h